Page MenuHomePhabricator

Add phan to Translate extension
Closed, ResolvedPublic

Description

As wmf deployed extension the Translate extension should run phan on CI to found simple bugs in an earlier state of development.

Translate extension is not using the common /includes/ or /src/ folder, which makes the config for phan a bit harder.
It also has many dependency to take care when running phan to get all classes declared.

Details

Related Gerrit Patches:
mediawiki/extensions/Translate : masterbuild: Add mediawiki/mediawiki-phan-config
integration/config : master[Translate] Run phan job
integration/config : master[Translate] Add phan dependency

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 31 2019, 7:55 PM

FYI: Translate predates the practice of using a such directory. I was planning to move files to src together when adding namespaces to them. But I was waiting for core show an example how to add namespaces in backwards compatible manner, but for reasons unknown to me that has been stalled. In theory those two things could be done separately, but I'm afraid that moving them first will make adding namespaces more difficult.

Daimona moved this task from Backlog to Extensions on the phan board.Sep 12 2019, 5:49 PM

Change 541032 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[integration/config@master] [Translate] Add phan dependency

https://gerrit.wikimedia.org/r/541032

Change 541032 merged by jenkins-bot:
[integration/config@master] [Translate] Add phan dependency

https://gerrit.wikimedia.org/r/541032

Mentioned in SAL (#wikimedia-releng) [2019-10-07T16:51:30Z] <James_F> Zuul: Add phan dependencies for Translate T224756

Change 542713 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/Translate@master] build: Add mediawiki/mediawiki-phan-config

https://gerrit.wikimedia.org/r/542713

Umherirrender triaged this task as Normal priority.

Change 544291 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[integration/config@master] [Translate] Run phan job

https://gerrit.wikimedia.org/r/544291

Change 544291 merged by jenkins-bot:
[integration/config@master] [Translate] Run phan job

https://gerrit.wikimedia.org/r/544291

Mentioned in SAL (#wikimedia-releng) [2019-10-20T09:38:26Z] <James_F> Zuul: Run phan job for Translate T224756

Daimona closed this task as Resolved.Sun, Oct 20, 9:46 AM
Daimona removed a project: Patch-For-Review.

Change 542713 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] build: Add mediawiki/mediawiki-phan-config

https://gerrit.wikimedia.org/r/542713